org.apache.ignite.internal.processors.cache

## Class CacheFlagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.cache.CacheFlagException

All Implemented Interfaces:
  Serializable

    public class CacheFlagException
    extends IgniteException

Exception thrown when projection flags check fails.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheFlagException(CacheFlag... flags)`
`CacheFlagException(Collection<CacheFlag> flags)`

### Method Summary

Methods
`Collection<CacheFlag>` `flags()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheFlagException

    public CacheFlagException(@Nullable
                      CacheFlag... flags)

Parameters:
  `flags` - Cause flags.

#### CacheFlagException

    public CacheFlagException(@Nullable
                      Collection<CacheFlag> flags)

Parameters:
  `flags` - Cause flags.

### Method Detail

#### flags

    public Collection<CacheFlag> flags()

Returns:
  Cause flags.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015